/**** Simple NIOS I/O Examples ****/

/* Example 1. Count up continuously, placing count on RED LEDs. */
/* To slow down the counting (it is very fast) we use a delay loop */

.include "ubc-de1media-macros.s"

.global _start

.text
_start:		movia	r23, IOBASE			/* use r23 as base register for I/O operations */
			movi	r8, 0				/* initialize counter=0 */

loop:		addi  r8, r8, 1			/* increment counter */
			stwio	r8, LEDR(r23)		/* display that count in binary on RED LEDs */
			call	delay
			br	loop

delay:		addi	r2, r0, 0x7fff		/* start at 32767 */
delay_loop:	subi	r2, r2, 1
			bne	r2, r0, delay_loop	/* delay by counting down to 0 */
			ret

.end
