/**** Simple NIOS I/O Examples ****/

/* Example 4. Count number of times SW5 goes to a "1" in r9 and LEDR. */

.include "ubc-de1media-macros.s"

.global _start

.text
_start:		movia	r23, IOBASE		/* use r23 as base register for I/O operations */
			movi	r9, 0			/* initialize counter=0 */

loop:
poll1:		ldwio	r8, SWITCH(r23)
			andi	r8, r8, 0x20	/* isolate bit 5 by setting ALL other bits to 0 */
			beq	r8, r0, poll1	/* if SW5 (bit5) is still 0, go back and wait */

			/* here, we know SW5=1 */
			addi  r9, r9, 1		/* count number of times SW5 has gone to "1" */
			stwio	r9, LEDR(r23)	/* display that count in binary on RED LEDs */

			call delay			/* switch debounce delay */

poll0:		ldwio	r8, SWITCH(r23)
			andi	r8, r8, 0x20
			bne	r8, r0, poll0	/* if SW5 is still 1, go back and wait */

			/* now that SW5=0, go back */
			br	loop


delay:		movi	r2, 30000		/* short time delay */
delay_loop:	subi	r2, r2, 1
			bne	r2, r0, delay_loop
			ret

.end
